#ifndef _FD_GAME_
#define _FD_GAME_

#include <stdbool.h>
typedef struct Game Game;
#include "input.h"
#include "room.h"
#include "log.h"

struct Game {
  bool should_close;
  Input *input;
  Log *log;
  Rooms rooms;
  Room *current_room;
};

Game *game_create(void);
void game_handle_command(Game *g, const char *command);
void game_load_rooms(Game *g);
void game_run_until_close(Game *g);
void game_handle_input(Game *g);
void game_draw(Game *g);
void free_game(Game *g);

#endif
